import { geoEqualEarth, geoPath, geoConicConformal, geoOrthographic,geoAlbers } from 'd3';

const projection = geoAlbers()
	.center([0,42.054])
  .rotate([71.400,0])
  .parallels([41,44])
	.scale(17000);
const path = geoPath(projection);
//const path = (topojasonData) => { 
// const {ma} = topojsonData.objects;
//geoPath(projection.fitExtent([[20, 20], [940, 480]], ma))};
export const Marks1 = ({MassGeo, CountyData, getCounty, colorScale, hoveredValue}) => (
  
  <g className="marks">
  {MassGeo.features.map(feature=>(
     
  <path d={path(feature)} fill={getCounty(feature.properties.TOWN) ===hoveredValue? colorScale(getCounty(feature.properties.TOWN)):"#044B94"} 
    fill-opacity={getCounty(feature.properties.TOWN) ===hoveredValue? "1":"0.1"}
    />
	
    ))}
   
  
  </g>
);